import NewNumberBar from './NewNumberBar';

function ThresholdDetail(props) {
  const { data = {}, edit, onChange, onClick, current } = props;
  const { Type, JsonNumThreshold, ThresholdEnum } = data;

  if (Type == 2) {
    return (
      <div onClick={onClick}>
        {/* <NumberBar
          scale
          current={current}
          breakdown={JsonNumThreshold?.breakdown}
          exception={JsonNumThreshold?.exception}
        /> */}
        <NewNumberBar
          scale
          current={current}
          breakdown={JsonNumThreshold?.breakdown}
          exception={JsonNumThreshold?.exception}
        />
      </div>
    );
  } else if (Type == 0) {
    return <div>文本</div>;
  } else {
    return <div>枚举({ThresholdEnum})</div>;
  }
}
export default ThresholdDetail;
